Box2D: b2Joint Class Reference

| Box2D 2.4.0 A 2D physics engine for games

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Friends | List of all members
b2Joint Class Referenceabstract

`#include <b2_joint.h>`

Inheritance diagram for b2Joint:

## Public Member Functions
b2JointType | GetType () const
| Get the type of the concrete joint.
b2Body * | GetBodyA ()
| Get the first body attached to this joint.
b2Body * | GetBodyB ()
| Get the second body attached to this joint.
virtual b2Vec2 | GetAnchorA () const =0
| Get the anchor point on bodyA in world coordinates.
virtual b2Vec2 | GetAnchorB () const =0
| Get the anchor point on bodyB in world coordinates.
virtual b2Vec2 | GetReactionForce (float inv_dt) const =0
| Get the reaction force on bodyB at the joint anchor in Newtons.
virtual float | GetReactionTorque (float inv_dt) const =0
| Get the reaction torque on bodyB in N*m.
b2Joint * | GetNext ()
| Get the next joint the world joint list.
const b2Joint * | GetNext () const
void * | GetUserData () const
| Get the user data pointer.
void | SetUserData (void *data)
| Set the user data pointer.
bool | IsEnabled () const
| Short-cut function to determine if either body is enabled.
bool | GetCollideConnected () const
virtual void | Dump ()
| Dump this joint to the log file.
virtual void | ShiftOrigin (const b2Vec2 &newOrigin)
| Shift the origin for any points stored in world coordinates.
virtual void | Draw (b2Draw *draw) const
| Debug draw this joint.

## Protected Member Functions
| b2Joint (const b2JointDef *def)
virtual void | InitVelocityConstraints (const b2SolverData &data)=0
virtual void | SolveVelocityConstraints (const b2SolverData &data)=0
virtual bool | SolvePositionConstraints (const b2SolverData &data)=0

## Static Protected Member Functions
static b2Joint * | Create (const b2JointDef *def, b2BlockAllocator *allocator)
static void | Destroy (b2Joint *joint, b2BlockAllocator *allocator)

## Protected Attributes
b2JointType | m_type
b2Joint * | m_prev
b2Joint * | m_next
b2JointEdge | m_edgeA
b2JointEdge | m_edgeB
b2Body * | m_bodyA
b2Body * | m_bodyB
int32 | m_index
bool | m_islandFlag
bool | m_collideConnected
void * | m_userData

## Friends
class | b2World
class | b2Body
class | b2Island
class | b2GearJoint

## Detailed Description

The base joint class. Joints are used to constraint two bodies together in various fashions. Some joints also feature limits and motors.

## Member Function Documentation

## ◆ GetCollideConnected()

bool b2Joint::GetCollideConnected | ( |  | ) | const
| inline

Get collide connected. Note: modifying the collide connect flag won't work correctly because the flag is only checked when fixture AABBs begin to overlap.

The documentation for this class was generated from the following file:

- /build/box2d/src/box2d-adaedf1772ede7420bc9ee569c8cba7952db91a0/include/box2d/b2_joint.h